Subject: Re: [PATCH v2 01/10] Documentation/glossary: redefine pseudorefs as special refs

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Apr 2024 13:12:33 -0700

Patrick Steinhardt <[email-masked]> writes:

> Let's address this mess and return the pseudoref terminology back to its
> original intent: a ref that sometimes behave like a ref, but which isn't
> really a ref because it gets written to the filesystem directly. Or in
> other words, let's redefine pseudorefs to match the current definition
> of special refs. As special refs and pseudorefs are now the same per
> definition, we can drop the "special refs" term again. It's not exposed
> to our users and thus they wouldn't ever encounter that term anyway.

Good intentions.

I do not agree with "the ones at the root should not be special" at
all, though.  We need to reject names like 'config' somehow, as long
as there are users who use files backend.